<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_default_type_settings(){

	return array(

		'type_radius' => array(
			'false' => _x('Square','Border_radius_name','word-balloon'),
			'radius_3' => _x('3&#37;','Border_radius_name','word-balloon'),
			'radius_12' => _x('12&#37;','Border_radius_name','word-balloon'),
			'radius_20' => _x('20&#37;','Border_radius_name','word-balloon'),
			'true' => _x('Rounded','Border_radius_name','word-balloon'),
		),
		'type_filter' => array(
			'blur' => _x('Blur','filter_name','word-balloon'),
			'brightness' => _x('Brightness','filter_name','word-balloon'),
			'contrast' => _x('Contrast','filter_name','word-balloon'),
			
			'grayscale' => _x('Grayscale','filter_name','word-balloon'),
			'hue-rotate90' => _x('Hue-rotate 90&deg;','filter_name','word-balloon'),
			'hue-rotate180' => _x('Hue-rotate 180&deg;','filter_name','word-balloon'),
			'hue-rotate270' => _x('Hue-rotate 270&deg;','filter_name','word-balloon'),
			'invert' => _x('Invert','filter_name','word-balloon'),
			'opacity' => _x('Opacity','filter_name','word-balloon'),
			'saturate' => _x('Saturate','filter_name','word-balloon'),
			'sepia' => _x('Sepia','filter_name','word-balloon'),
		),
		'type_balloon' => array(
			'talk' => _x('Speech','Balloon_name','word-balloon'),
			'think' => _x('Thought','Balloon_name','word-balloon'),
			'line' => _x('Color','Balloon_name','word-balloon'),
			'round' => _x('Round','Balloon_name','word-balloon'),
			'tail' => _x('Tail','Balloon_name','word-balloon'),
			'bump' => _x('Bump','Balloon_name','word-balloon'),
			'upper' => _x('Upper','Balloon_name','word-balloon'),
			'lower' => _x('Lower','Balloon_name','word-balloon'),
			'soi' => _x('SOi','Balloon_name','word-balloon'),
			'rpg_1' => _x('RPG &#8544;','Balloon_name','word-balloon'),
			'rpg_2' => _x('RPG &#8545;','Balloon_name','word-balloon'),
			'rpg_3' => _x('RPG &#8546;','Balloon_name','word-balloon'),
			'talk_2' => _x('Speech thick','Balloon_name','word-balloon'),
			'bump_2' => _x('Bump Gradation','Balloon_name','word-balloon'),
			'round_2' => _x('Round Gradation','Balloon_name','word-balloon'),
			'heart' => _x('Heart','Balloon_name','word-balloon'),
			'wriggle' => _x('Wriggle','Balloon_name','word-balloon'),
			'freehand' => _x('Free Hand','Balloon_name','word-balloon'),
			'pointy' => _x('Pointy','Balloon_name','word-balloon'),
			'8bit' => _x('8bit','Balloon_name','word-balloon'),
			'8bit_2' => _x('8bit &#8545;','Balloon_name','word-balloon'),
			'tail_2' => _x('Tail thought','Balloon_name','word-balloon'),
			'scream' => _x('Scream','Balloon_name','word-balloon'),
			'talk_o' => _x('Speech over','Balloon_name','word-balloon'),
			'talk_u' => _x('Speech under','Balloon_name','word-balloon'),
			'think_2' => _x('Thought','Balloon_name','word-balloon').' 2',
			'talk_oc' => _x('Speech over center','Balloon_name','word-balloon'),
			'talk_uc' => _x('Speech under center','Balloon_name','word-balloon'),
		),
		'type_in_view' => array(
			'slide_in' => _x('Slide in','Fade_balloon','word-balloon'),
			'fade_in' => _x('Fade in','Fade_balloon','word-balloon'),
			'to_standard' => _x('Small size to standard','Fade_balloon','word-balloon'),
			'boing' => _x('Boing','Fade_balloon','word-balloon'),
			'stand_up' => _x('Stand up','Fade_balloon','word-balloon'),
			'vibration' => _x('Vibration','Fade_balloon','word-balloon'),
			'tada' => _x('Tada','Fade_balloon','word-balloon'),
			'squeal' => _x('Squeal','Fade_balloon','word-balloon'),
			'fluffy' => _x('Fluffy','Fade_balloon','word-balloon'),
		),
		'type_effect' => array(
			'up_down' => _x('Up Down','Effect_name','word-balloon'),
			'swing' => _x('Swing','Effect_name','word-balloon'),
			'sway' => _x('Sway','Effect_name','word-balloon'),
			'pulse' => _x('Pulse','Effect_name','word-balloon'),
			'shake' => _x('Shake','Effect_name','word-balloon'),
			'left_right' => _x('Left Right','Effect_name','word-balloon'),
			'clockwise' => _x('Clockwise ','Effect_name','word-balloon'),
			'anticlockwise' => _x('Anticlockwise','Effect_name','word-balloon'),
			'flash' => _x('Flash','Effect_name','word-balloon'),
			'roll_right' => _x('Roll right','Effect_name','word-balloon'),
			'roll_left' => _x('Roll left','Effect_name','word-balloon'),
			'roll_up' => _x('Roll up','Effect_name','word-balloon'),
			'roll_down' => _x('Roll down','Effect_name','word-balloon'),
			'fade_out_up' => _x('Fade out up','Effect_name','word-balloon'),
			'fade_out_down' => _x('Fade out down','Effect_name','word-balloon'),
			'rubber' => _x('Rubber','Effect_name','word-balloon'),
			'jiggly' => _x('Jiggly','Effect_name','word-balloon'),
			'shake_2' => _x('Shake 2','Effect_name','word-balloon'),
			'rotate_right' => _x('Rotate right','Effect_name','word-balloon'),
			'rotate_left' => _x('Rotate left','Effect_name','word-balloon'),
		),
		'type_icon' => array(
			'up_arrows' => _x('Up arrows','Icon_name','word-balloon'),
			'down_arrows' => _x('Down arrows','Icon_name','word-balloon'),
			'question' => _x('Question','Icon_name','word-balloon'),
			'heart' => _x('Heart','Icon_name','word-balloon'),
			'hearts' => _x('Hearts','Icon_name','word-balloon'),
			'heart_ss' => _x('Heart','Icon_name','word-balloon') . _x('(side by side)','Icon_name','word-balloon'),
			'anger' => _x('Anger','Icon_name','word-balloon'),
			'exclamation' => _x('Exclamation','Icon_name','word-balloon'),
			'exclamations' => _x('Exclamations','Icon_name','word-balloon'),
			'quaver' => _x('Quaver','Icon_name','word-balloon'),
			'sweat' => _x('Sweat','Icon_name','word-balloon'),
			'sweats' => _x('Sweats','Icon_name','word-balloon'),
			'bummer' => _x('Bummer','Icon_name','word-balloon'),
			'star' => _x('Star','Icon_name','word-balloon'),
			'star_ss' => _x('Star','Icon_name','word-balloon') . _x('(side by side)','Icon_name','word-balloon'),
			'sparkly' => _x('Sparkly','Icon_name','word-balloon'),
			'glazy' => _x('Glazy','Icon_name','word-balloon'),
			'gasp' => _x('Gasp','Icon_name','word-balloon'),
		),
		'icon_position' => array(
			'top_left' => __('Top left','word-balloon'),
			'top_center' => __('Top center','word-balloon'),
			'top_right' => __('Top right','word-balloon'),
			'center_left' => __('Left center','word-balloon'),
			'center' => __('Center','word-balloon'),
			'center_right' => __('Right center','word-balloon'),
			'bottom_left' => __('Bottom left','word-balloon'),
			'bottom_center' => __('Bottom center','word-balloon'),
			'bottom_right' => __('Bottom right','word-balloon'),
		),
		'panel_type' => array(
			'mobile' => __('Mobile','word-balloon'),
			'avatar' => __('Avatar','word-balloon'),
			'balloon' => __('Balloon','word-balloon'),
			'icon' => __('Icon','word-balloon'),
			'effect' => __('Effect','word-balloon'),
			'name' => __('Name','word-balloon'),
			'filter' => __('Filter','word-balloon'),
			'status' => __('Status','word-balloon'),
			'in_view' => __('In view','word-balloon'),
			'wallpaper' => __('Wallpaper','word-balloon'),
			'side_by_side' => __('Side by side','word-balloon'),
		),

	);




}


