<?php
defined( 'ABSPATH' ) || exit;

function word_balloon_build_balloon_box( $atts , $content , $textarea , $load_setting ){

	$msg = '';

	$allowed_tag = array(
		'br' => array(),
	);

	$balloon_data_name = array('balloon_shadow','box_padding_top','box_padding_bottom','box_padding','text_color','background_color','background_style','border_style','mta','name_color','name_box','status_color','status_box','font_size','name_position','name_side','over_under','sound','flip','etc_style','text_align','name_style','full_width','balloon_filter','effect','name_margin','border_image_source','quote_align','vertical_writing');

	foreach ($balloon_data_name as $key) {
		$balloon_data[$key] = '';
	}

	$balloon_data['name_margin'] = 16;

	$w_b_class['w_b_bal_box'] = '';

	if($atts['text_align'] != ''){
		if($atts['balloon_full_width'] != 'false'){
			if($atts['text_align'] === 'R'){
				$balloon_data['text_align'] = ' w_b_jc_fe';
			}elseif($atts['text_align'] === 'C'){
				$balloon_data['text_align'] = ' w_b_jc_c';
			}
		}else{
			$balloon_data['text_align'] = ' w_b_ta_'.$atts['text_align'];
		}
	}

	
	if($atts['sound'] != ''){
		$balloon_data['sound'] = wp_get_attachment_url($atts['sound']);
		if($balloon_data['sound']){
			if($atts['position'] === 'R')$balloon_data['flip'] = ' w_b_flip_h';
			$balloon_data['sound'] = '<div class="w_b_sound w_b_div" style="cursor:pointer;'.($atts['position'] === 'R' ? 'text-align:right;': '').'"><div class="w_b_play_sound w_b_div" data-audio_id="'.$atts['sound'].'" data-audio_url="'.$balloon_data['sound'].'" data-play="'. WORD_BALLOON_URI .'img/play.svg" data-speaker="'. WORD_BALLOON_URI .'img/speaker.svg" data-flip="'.$balloon_data['flip'].'">'."\n".'<img src="'. WORD_BALLOON_URI .'img/speaker.svg" width="26" height="26" class="'.$balloon_data['flip'].' w_b_img" decoding="async" style="margin:0;padding:0;" />'."\n".'</div><div class="w_b_stop_sound w_b_div" data-audio_id="'.$atts['sound'].'" style="display:none">'."\n".'<img class="w_b_img" src="'. WORD_BALLOON_URI .'img/stop.svg" width="26" height="26" decoding="async" style="margin:0;padding:0;" />'."\n".'</div></div>';
			wp_enqueue_script( 'word_balloon_sound_script', WORD_BALLOON_URI . 'js/word_balloon_sound.min.js', array('jquery-core'), WORD_BALLOON_VERSION,true );
		}
	}

	
	if($atts['balloon_filter'] != ''){
		wp_enqueue_style('word_balloon_filter_'.$atts['balloon_filter'], WORD_BALLOON_URI . 'css/filter/word_balloon_'.$atts['balloon_filter'].'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);
		$balloon_data['balloon_filter'] = ' w_b_f_'.$atts['balloon_filter'];
	}

	if($atts['balloon_full_width'] != 'false'){
		$balloon_data['full_width'] = ' w_b_w100';
	}

	if($atts['font_size'] != ''){
		$balloon_data['font_size'] = 'font-size:'.$atts['font_size'].'px;';
	}

	if($atts['balloon_vertical_writing'] === 'true'){
		$user_agent = $_SERVER['HTTP_USER_AGENT'];
		if (strstr($user_agent, 'Trident') || strstr($user_agent, 'MSIE')) {
			
			
		}else{
			$balloon_data['vertical_writing'] = '-webkit-writing-mode:vertical-rl;-ms-writing-mode:tb-rl;writing-mode:vertical-rl;-webkit-text-orientation:upright;text-orientation:upright;';
		}
	}









	
	if( $atts['name_position'] === 'on_balloon' ||  $atts['name_position'] === 'under_balloon' ){

		if($atts['name'] !== ''){


			if($atts['name_color'] !== ''){
				$balloon_data['name_style'] .= 'color:'.$atts['name_color'].';';
			}

			if($atts['position'] === 'R'){
				$balloon_data['name_side'] = 'L';
			}else{
				$balloon_data['name_side'] = 'R';
			}


		}

	}


	

	if($atts['balloon_effect'] != '' ){

		$balloon_data['effect'] .= ' w_b_'.$atts['balloon_effect'];
		wp_enqueue_style('word_balloon_effect_'.$atts['balloon_effect'], WORD_BALLOON_URI . 'css/effect/word_balloon_'.$atts['balloon_effect'].'.min.css',array('word_balloon_user_style'),WORD_BALLOON_VERSION);

	}



	

	

	if( file_exists( WORD_BALLOON_DIR . 'inc/adjust_balloon/adjust_balloon_'.$atts['balloon'].'.php' ) ){

		require_once WORD_BALLOON_DIR . 'inc/adjust_balloon/adjust_balloon_'.$atts['balloon'].'.php';

		$function_balloon = 'word_balloon_adjust_balloon_'.$atts['balloon'];

		if ( function_exists( $function_balloon ) ){
			$balloon_data = $function_balloon($atts , $load_setting , $balloon_data);
		}

	}

	
	if($balloon_data['background_color'] || $balloon_data['text_color'] || $balloon_data['font_size'] || $balloon_data['etc_style'] || $balloon_data['border_style'] || $balloon_data['border_image_source'] || $balloon_data['vertical_writing']){
		$balloon_data['background_style'] = ' style="' .$balloon_data['background_color'].$balloon_data['border_style'].$balloon_data['text_color'].$balloon_data['font_size'] .$balloon_data['etc_style']. $balloon_data['border_image_source'] . $balloon_data['vertical_writing'] . '"';
	}


	if($balloon_data['box_padding_top'] != "" && $atts['balloon_hide'] !== 'true'){

		$balloon_data['box_padding'] = '<div class="w_b_space w_b_div" style="width:0;height:0;margin:0;padding:'. ( $balloon_data['box_padding_top'] / 2 ) .'px;"></div>';
	}

	
	if($atts['balloon_shadow'] !== 'false'){
		$balloon_data['balloon_shadow'] = ' w_b_shadow_'.$atts['position'];
	}


	
	if($atts['status'] != '' || $atts['sound'] != ''){

		$w_b_atyle['w_b_status_box'] = '';

		if($atts['balloon_hide'] === 'true'){
			$w_b_atyle['w_b_status_box'] = ' style="min-height:'.($load_setting['avatar_custom_size'][$atts['size']] -10).'px;"';
		}

		if($atts['status_color'] != '') $balloon_data['status_color'] = ' style="color:'.$atts['status_color'].';"';
		$balloon_data['status_box'] .= '<div class="w_b_status_box w_b_flex w_b_col w_b_f_n w_b_div"'.$w_b_atyle['w_b_status_box'].'>';

		$balloon_data['status_box'] .= '<div class="w_b_status_sound w_b_div">'.$balloon_data['sound'].'</div>';

		$balloon_data['status_box'] .= '<div class="w_b_status w_b_flex w_b_col w_b_jc_fe w_b_div"'.$balloon_data['status_color'].'>';
		$balloon_data['status_box'] .= wp_kses( $atts['status'], $allowed_tag );
		$balloon_data['status_box'] .= '</div>';

		$balloon_data['status_box'] .= '</div>';

	}


	//$w_b_bal_div_style = ' style="display:inline-flex"';
	//if($balloon_data['vertical_writing']){
	//	$w_b_bal_div_style = ' style="'.$balloon_data['vertical_writing'].'"';
	//}





	
	if( $atts['name_position'] === 'on_balloon' ||  $atts['name_position'] === 'under_balloon' ){

		if($balloon_data['name_style'] != ''){
			$balloon_data['name_style'] = ' style="'.$balloon_data['name_style'].'"';
		}

		$balloon_data['name_box'] = '<div class="w_b_name w_b_name_'.$balloon_data['name_side'].' w_b_ta_'.$balloon_data['name_side'].' w_b_div"'.$balloon_data['name_style'].'>'.wp_kses( $atts['name'], $allowed_tag ).'</div>';
	}

	if($atts['balloon_in_view'] != ''){
		if(function_exists('word_balloon_pro_in_view_setting') ) $w_b_class['w_b_bal_box'] .= word_balloon_pro_in_view_setting($atts,'balloon');
	}

	$msg .= '<div class="w_b_bal_box w_b_direction_'.$atts['direction'].' w_b_w100'.$balloon_data['mta'].$w_b_class['w_b_bal_box'].' w_b_div">'.$balloon_data['box_padding'];


	$msg .= '<div class="w_b_flex'.$balloon_data['effect'].$balloon_data['full_width'].' w_b_div">';

	if($atts['position'] === 'R')$msg .= $balloon_data['status_box'];

	if($atts['balloon_hide'] !== 'true'){

		$msg .= '<div class="w_b_bal_wrap w_b_bal_wrap_'.$atts['position'].$balloon_data['full_width'].' w_b_div">';

		if($atts['name_position'] === 'on_balloon'){
			$msg .= $balloon_data['name_box'];
		}

		if($balloon_data['full_width'] === ' w_b_w100'){
			$balloon_data['full_width'] = ' w_b_flex';
		}



		$msg .= '<div class="w_b_bal w_b_'.$atts['balloon'].' w_b_bal_'.$atts['position'].' w_b_'.$atts['balloon'].'_'.$atts['position'].$balloon_data['balloon_shadow'].$balloon_data['over_under'].$balloon_data['text_align'].$balloon_data['full_width'].$balloon_data['balloon_filter'].$balloon_data['quote_align'].' w_b_div"'.$balloon_data['background_style'].'><div class="w_b_quote w_b_div">'.$content.$textarea.'</div></div>';

		if($atts['name_position'] === 'under_balloon'){
			$msg .= $balloon_data['name_box'];
		}
		$msg .= '</div>';
	}




	if($atts['position'] === 'L')$msg .= $balloon_data['status_box'];

	$msg .= '</div>';



	if($balloon_data['box_padding_bottom'] != "" && $atts['balloon_hide'] !== 'true'){
		$msg .= '<div class="w_b_space w_b_div" style="width:0;height:0;margin:0;padding:'.( $balloon_data['box_padding_bottom'] / 2 ).'px;"></div>';
	}

	$msg .= '</div>';

	return $msg;

}
